package com.webflexexample.webflexExample;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.mongo.MongoDataAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.boot.autoconfigure.mongo.embedded.EmbeddedMongoAutoConfiguration;

@SpringBootApplication (exclude= {
		MongoAutoConfiguration.class,
		MongoDataAutoConfiguration.class,
		EmbeddedMongoAutoConfiguration.class,
		DataSourceAutoConfiguration.class
		})
public class WebflexExampleApplication {

	public static void main(String[] args) {
		SpringApplication.run(WebflexExampleApplication.class, args);
	}

}
