package com.webflexexample.webflexExample.service;

import com.webflexexample.webflexExample.mapper.EmployeeDto;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface EmployeeService {
    Flux<EmployeeDto> getAllEmployee();
    Mono<EmployeeDto> getEmployee(String id);
    Mono<EmployeeDto> save(Mono<EmployeeDto> employeeDto);

   // Flux<EmployeeDto> getEmployeeInRange(double min, double max);

    Mono<EmployeeDto> updateProduct(Mono<EmployeeDto> employeeDtoMono, String id);

    Mono<Void> deleteProduct(String id);
}
