package com.webflexexample.webflexExample.utils;

import com.webflexexample.webflexExample.entity.Employee;
import com.webflexexample.webflexExample.mapper.EmployeeDto;
import org.springframework.beans.BeanUtils;

public class EmployeeUtills {

    public static EmployeeDto entityToDto(Employee employee) {
        EmployeeDto employeeDto = new EmployeeDto();
        BeanUtils.copyProperties(employee, employeeDto);
        return employeeDto;
    }

    public static Employee mapEmployeeDtoToEmployee(EmployeeDto employeeDto) {
        Employee employee = new Employee();
        BeanUtils.copyProperties(employeeDto, employee);
        return employee;
    }
}
